## com.rbnb.sapi
Class SAPIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.rbnb.sapi.SAPIException

All Implemented Interfaces:
  Serializable

    public class SAPIException

extends Exception

The typed exception thrown by the SAPI package.

Since:
  V2.0
See Also:
  Serialized Form
Author:
  WHF
Version:
  05/17/2001

Constructor Summary
`SAPIException()` Constructor with no message.
`SAPIException(Exception e)` Constructor which copies its message from another exception.
`SAPIException(String s)` Constructor with the specified message.

Method Summary
`void` `printStackTrace()` Overridden so as to print nested exception also.
`void` `printStackTrace(PrintStream ps)` Overridden so as to print nested exception also.
`void` `printStackTrace(PrintWriter pw)` Overridden so as to print nested exception also.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAPIException

    public SAPIException()

  Constructor with no message.

### SAPIException

    public SAPIException(String s)

  Constructor with the specified message.

### SAPIException

    public SAPIException(Exception e)

  Constructor which copies its message from another exception.

Method Detail

### printStackTrace

    public void printStackTrace()

  Overridden so as to print nested exception also.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Overridden so as to print nested exception also.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Overridden so as to print nested exception also.

  Overrides:
    `printStackTrace` in class `Throwable`